This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 452420 - Very long titles/info push "Applications/Places/System" menus off the screen
Very long titles/info push "Applications/Places/System" menus off the screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applet-music (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-06-22 14:07 EDT by Tom London
Modified: 2009-01-07 16:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 09:43:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of top panel with very long music title (20.26 KB, image/png)
2008-06-22 14:07 EDT, Tom London
no flags Details
Another screenshot with top panel munged.... (19.32 KB, image/png)
2008-06-24 10:38 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2008-06-22 14:07:14 EDT
Description of problem:
Playing rhythmbox music through g-a-m, notice that very long titles/info really
mess up the top panel.

Here is the title of this file:
"'Il cimento dell'armonia e dell'invenzione' - Concerto RV 269 Op. 8 'La
primavera' - I. Allegro - II. Largo - III. Allegro"

I attach screenshot of the top panel....

Version-Release number of selected component (if applicable):
gnome-applet-music-2.4.0-1.fc10.i386

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-06-22 14:07:14 EDT
Created attachment 309999 [details]
Screenshot of top panel  with very long music title
Comment 2 Tom London 2008-06-24 10:38:06 EDT
Created attachment 310152 [details]
Another screenshot with top panel munged....

Here is another example, this time, the title/info completely pushes the top
left items of the panel into oblivion.

In this state, you cannot select "Applications", "Places" nor "System"......
Comment 3 Matthias Clasen 2008-10-21 01:08:41 EDT
Clearly, the applet should use ellipsization and gtk_label_set_max_width_chars
Comment 4 Bug Zapper 2008-11-25 21:27:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Peter Gordon 2009-01-07 04:41:12 EST
Fixed in 2.5.0 (in Rawhide, builds for F-9 and F-10 in progress). Thanks for the bug report!
Comment 6 Fedora Update System 2009-01-07 04:41:13 EST
gnome-applet-music-2.5.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gnome-applet-music-2.5.0-1.fc10
Comment 7 Fedora Update System 2009-01-07 04:42:21 EST
gnome-applet-music-2.5.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gnome-applet-music-2.5.0-1.fc9
Comment 8 Fedora Update System 2009-01-07 05:45:16 EST
gnome-applet-music-2.5.0-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/gnome-applet-music-2.5.0-1.fc8
Comment 9 Tom London 2009-01-07 09:43:40 EST
I can verify with gnome-applet-music-2.5.0-1.fc11.x86_64.

Closing.
Comment 10 Fedora Update System 2009-01-07 16:49:26 EST
gnome-applet-music-2.5.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.